body {
    font-family: Arial, sans-serif;
    height: 100vh;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

header {
    background-color: #6f42c1;
    color: #fff;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h1 {
    margin: 0;
}

.nav-menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.nav-menu li {
    margin-left: 20px;
}

.nav-menu a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}

.nav-menu a:hover {
    text-decoration: underline;
}

main {
    color: black;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.containerSQL {
    display: grid;
    grid-template-columns: repeat(auto-fit, 1fr);
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.card {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: transform 0.2s ease;
}

.cardSQL {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: left;
    transition: transform 0.2s ease;
}

.card:hover {
    transform: scale(1.05);
}

.card h2 {
    font-size: 1.5em;
    margin-bottom: 10px;
    color: #333;
}

.card p {
    color: #666;
}

.card a {
    text-decoration: none;
    color: #007BFF;
    font-weight: bold;
    display: inline-block;
    margin-top: 10px;
}

footer {
    width: 100%;
    position: fixed;
    bottom: 0;
    text-align: center;
    padding: 20px;
    background-color: #6f42c1;
    color: #fff;
}

/* PHP frågorna */
.containerPHPQuiz {
    display: grid;
    grid-template-columns: 1/-1;
    /* gap: 20px; */
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.question {
    margin-bottom: 20px;
}

.question h2 {
    font-size: 1.2em;
    color: #007BFF;
}

.question pre {
    background-color: #f0f0f0;
    padding: 10px;
    border-radius: 4px;
    overflow-x: auto;
}

.PHPQuizP {
    margin-top: 0;
}

.containerPHPQuiz h2 {
    margin-top: 0;
}

.containerPHPQuiz h1 {
    margin-bottom: 10px;
}

.tab {
    padding-left: 20px;
    /* Justera bredden för att efterlikna en tab */
}

.active {
    text-decoration: underline;
}

code {
    font-size: 20px;
    color: red;
}

.centerSQL {
    text-align: center;
}